# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Most
Version:	0.21
Release:	8.%{__distinit}%{__distvers}
Summary:	Perl module with test functions and features
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Most/
Source0:	http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Test-Most-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Data::Dumper::Names) >= 0.03
BuildRequires:	perl(Exception::Class) >= 1.14
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Differences)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::Harness) >= 3.07
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Simple) >= 0.82
BuildRequires:	perl(Test::Warn) >= 0.1
# Test::Pod::Coverage thinks that Test::Most::Exception has a naked subroutine
BuildConflicts:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Most commonly needed test functions and features. This module provides you with 
the most commonly used testing functions and gives you a bit more fine-grained 
control over your test suite.

%prep
%setup -q -n Test-Most-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="xt/author/*.t"

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Most.3pm*
%{_mandir}/man3/Test::Most::Exception.3pm*

%changelog
* Thu Aug 18 2011 Paul Howarth <paul@city-fan.org> - 0.21-8
- Do separate test runs for main test suite and author tests
- Specifying %%defattr(-,root,root,-) in %%files list not needed from rpm 4.4
  in FC-4
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jun 28 2010 Paul Howarth <paul@city-fan.org> - 0.21-7
- Import from Fedora
- Use ExtUtils::MakeMaker rather than Module::Build
- Run author tests in %%check

* Thu May  6 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.21-5
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr  6 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.21-3
- Remove unnecessary requirements

* Thu Apr  2 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.21-1
- Specfile autogenerated by cpanspec 1.78
